Put Organization Nuget Settings
https://app.fossa.com/api/organizations/{id}/settings/languages/nugetUpdate authentication settings for Nuget
Path parameters
idintegerrequiredOrganization ID
Request body · application/json
sourcesobject[]List of configured Nuget Feeds
_idnumberUUID of the Nuget Feed (For FOSSA internal usage)
urlstringRemote URL of the Nuget Feed
usernamestringUsername for authenticating to the Nuget Feed
passwordobject__typeenumsvaluestringhasPasswordbooleanUsed when an existing password is obfuscated in the response
Responses
204No content401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenmessagestringMessage describing the error
404NotFounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
422Unprocessable EntityuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/organizations/1/settings/languages/nugetcurl --request PUT \ --url 'https://app.fossa.com/api/organizations/1/settings/languages/nuget' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "sources": [ { "_id": "00000000-0000-0000-0000-000000000001", "url": "www.nugetrepo.com/repo", "username": "nuget_user", "password": { "__type": "s", "value": "secretPassword" } } ]}'Real request. Mutating methods can change data.
Path params
idintegerrequiredOrganization ID